Bug 1732327 - [abrt] PackageKit: slab_allocator_free_chunk(): packagekitd killed by SIGSEGV
Summary: [abrt] PackageKit: slab_allocator_free_chunk(): packagekitd killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:6afaa4ab69c264d7f7e8575150a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-23 07:37 UTC by Reza Sh
Modified: 2020-05-26 16:16 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 16:16:11 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (27.70 KB, text/plain)
2019-07-23 07:37 UTC, Reza Sh
no flags Details
File: cgroup (184 bytes, text/plain)
2019-07-23 07:38 UTC, Reza Sh
no flags Details
File: core_backtrace (11.72 KB, text/plain)
2019-07-23 07:38 UTC, Reza Sh
no flags Details
File: cpuinfo (1.14 KB, text/plain)
2019-07-23 07:38 UTC, Reza Sh
no flags Details
File: dso_list (7.36 KB, text/plain)
2019-07-23 07:38 UTC, Reza Sh
no flags Details
File: environ (190 bytes, text/plain)
2019-07-23 07:38 UTC, Reza Sh
no flags Details
File: exploitable (82 bytes, text/plain)
2019-07-23 07:38 UTC, Reza Sh
no flags Details
File: limits (1.29 KB, text/plain)
2019-07-23 07:38 UTC, Reza Sh
no flags Details
File: maps (47.83 KB, text/plain)
2019-07-23 07:38 UTC, Reza Sh
no flags Details
File: mountinfo (3.54 KB, text/plain)
2019-07-23 07:38 UTC, Reza Sh
no flags Details
File: open_fds (4.54 KB, text/plain)
2019-07-23 07:38 UTC, Reza Sh
no flags Details
File: proc_pid_status (1.29 KB, text/plain)
2019-07-23 07:38 UTC, Reza Sh
no flags Details
File: var_log_messages (550 bytes, text/plain)
2019-07-23 07:38 UTC, Reza Sh
no flags Details

Description Reza Sh 2019-07-23 07:37:46 UTC
Version-Release number of selected component:
PackageKit-1.1.12-5.fc30

Additional info:
reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: slab_allocator_free_chunk
executable:     /usr/libexec/packagekitd
journald_cursor: s=0495d330fa8f4455a5931e774dbb549d;i=a6c;b=6948a8fec3404a76b5d3a57706d679fe;m=46886c01;t=58e01ed70cc57;x=ccef984c0f3788c5
kernel:         5.1.16-300.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 slab_allocator_free_chunk at ../glib/gslice.c:1366
 #1 magazine_cache_trim at ../glib/gslice.c:678
 #2 magazine_cache_push_magazine at ../glib/gslice.c:709
 #3 thread_memory_magazine2_unload at ../glib/gslice.c:1117
 #4 g_slice_free1 at ../glib/gslice.c:1117
 #5 g_source_unref_internal at ../glib/gmain.c:2169
 #10 gdbus_shared_thread_func at ../gio/gdbusprivate.c:275
 #11 g_thread_proxy at ../glib/gthread.c:805

Comment 1 Reza Sh 2019-07-23 07:37:58 UTC
Created attachment 1592775 [details]
File: backtrace

Comment 2 Reza Sh 2019-07-23 07:38:00 UTC
Created attachment 1592776 [details]
File: cgroup

Comment 3 Reza Sh 2019-07-23 07:38:02 UTC
Created attachment 1592777 [details]
File: core_backtrace

Comment 4 Reza Sh 2019-07-23 07:38:05 UTC
Created attachment 1592778 [details]
File: cpuinfo

Comment 5 Reza Sh 2019-07-23 07:38:08 UTC
Created attachment 1592779 [details]
File: dso_list

Comment 6 Reza Sh 2019-07-23 07:38:12 UTC
Created attachment 1592780 [details]
File: environ

Comment 7 Reza Sh 2019-07-23 07:38:15 UTC
Created attachment 1592781 [details]
File: exploitable

Comment 8 Reza Sh 2019-07-23 07:38:17 UTC
Created attachment 1592782 [details]
File: limits

Comment 9 Reza Sh 2019-07-23 07:38:21 UTC
Created attachment 1592783 [details]
File: maps

Comment 10 Reza Sh 2019-07-23 07:38:24 UTC
Created attachment 1592784 [details]
File: mountinfo

Comment 11 Reza Sh 2019-07-23 07:38:26 UTC
Created attachment 1592785 [details]
File: open_fds

Comment 12 Reza Sh 2019-07-23 07:38:28 UTC
Created attachment 1592786 [details]
File: proc_pid_status

Comment 13 Reza Sh 2019-07-23 07:38:30 UTC
Created attachment 1592787 [details]
File: var_log_messages

Comment 14 Ben Cotton 2020-04-30 21:30:50 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2020-05-26 16:16:11 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.